Opened 4 years ago

Closed 4 years ago

#1192 closed defect (worksforme)

non-interleaved AVI

Reported by: burek Owned by:
Priority: normal Component: undetermined
Version: unspecified Keywords:
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

Z:\>ffmpeg -i SunStar?.avi c:\SunStar2.mp4
ffmpeg version N-39494-g41a097a Copyright (c) 2000-2012 the FFmpeg developers

built on Apr 3 2012 20:23:48 with gcc 4.6.2
configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-ru

ntime-cpudetect --enable-avisynth --enable-bzlib --enable-frei0r --enable-libope
ncore-amrnb --enable-libopencore-amrwb --enable-libfreetype --enable-libgsm --en
able-libmp3lame --enable-libopenjpeg --enable-librtmp --enable-libschroedinger -
-enable-libspeex --enable-libtheora --enable-libvo-aacenc --enable-libvo-amrwben
c --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-
libxvid --enable-zlib

libavutil 51. 44.100 / 51. 44.100
libavcodec 54. 12.100 / 54. 12.100
libavformat 54. 3.100 / 54. 3.100
libavdevice 53. 4.100 / 53. 4.100
libavfilter 2. 66.101 / 2. 66.101
libswscale 2. 1.100 / 2. 1.100
libswresample 0. 10.100 / 0. 10.100
libpostproc 52. 0.100 / 52. 0.100

[avi @ 00000000002EEAD0] non-interleaved AVI

Files uploaded at upload.ffmpeg.org/incoming:
SunStar?-End.avi
SunStar?-Start.avi
Error.txt

Change History (6)

comment:1 Changed 4 years ago by burek

This is the output from VLC:

main debug: processing request item: SunStar.avi, node: Playlist, skip: 0
main debug: resyncing on SunStar.avi
main debug: SunStar.avi is at 0
main debug: starting playback of the new playlist item
main debug: creating new input thread
main debug: Creating an input for 'SunStar.avi'
main debug: using timeshift granularity of 50 MiB, in path 'C:\Users\John\AppData\Local\Temp'
main debug: `file:///Z:/SunStar.avi' gives access `file' demux `' path `/Z:/SunStar.avi'
main debug: creating demux: access='file' demux='' location='/Z:/SunStar.avi' file='Z:\SunStar.avi'
main debug: looking for access_demux module: 3 candidates
main debug: no access_demux module matching "file" could be loaded
main debug: TIMER module_need() : 0.180 ms - Total 0.180 ms / 1 intvls (Avg 0.180 ms)
main debug: creating access 'file' location='/Z:/SunStar.avi', path='Z:\SunStar.avi'
main debug: looking for access module: 3 candidates
filesystem debug: opening file `Z:\SunStar.avi'
main debug: using access module "filesystem"
main debug: TIMER module_need() : 0.097 ms - Total 0.097 ms / 1 intvls (Avg 0.097 ms)
main debug: Using stream method for AStream*
main debug: starting pre-buffering
main debug: received first data after 0 ms
main debug: pre-buffering done 1024 bytes in 0s - 40000 KiB/s
main debug: looking for stream_filter module: 4 candidates
main debug: no stream_filter module matching "any" could be loaded
main debug: TIMER module_need() : 0.060 ms - Total 0.060 ms / 1 intvls (Avg 0.060 ms)
main debug: looking for stream_filter module: 1 candidate
main debug: using stream_filter module "stream_filter_record"
main debug: TIMER module_need() : 0.054 ms - Total 0.054 ms / 1 intvls (Avg 0.054 ms)
main debug: creating demux: access='file' demux='' location='/Z:/SunStar.avi' file='Z:\SunStar.avi'
main debug: looking for demux module: 55 candidates
avi debug: <list 'AVI '>
avi debug: <list 'hdrl'>
avi debug: <list 'strl'>
avi debug: </list 'strl'>
avi debug: <list 'strl'>
avi debug: </list 'strl'>
avi debug: <list 'odml'>
avi warning: unknown chunk (not loaded)
avi debug: </list 'odml'>
avi debug: </list 'hdrl'>
avi debug: <list 'INFO'>
avi debug: </list 'INFO'>
avi debug: skipping movi chunk
avi debug: </list 'AVI '>
avi debug: <list 'AVIX'>
avi debug: skipping movi chunk
avi debug: </list 'AVIX'>
avi debug: * LIST-root size:2629107294 pos:0
avi debug:      + RIFF-AVI  size:1072969870 pos:0
avi debug:      |    + LIST-hdrl size:662 pos:12
avi debug:      |    |    + avih size:56 pos:24
avi debug:      |    |    + LIST-strl size:168 pos:88
avi debug:      |    |    |    + strh size:56 pos:100
avi debug:      |    |    |    + strf size:44 pos:164
avi debug:      |    |    |    + indx size:40 pos:216
avi debug:      |    |    + LIST-strl size:142 pos:264
avi debug:      |    |    |    + strh size:56 pos:276
avi debug:      |    |    |    + strf size:18 pos:340
avi debug:      |    |    |    + indx size:40 pos:366
avi debug:      |    |    + LIST-odml size:260 pos:414
avi debug:      |    |    |    + dmlh size:248 pos:426
avi debug:      |    + LIST-INFO size:124 pos:682
avi debug:      |    |    + ISFT size:24 pos:694
avi debug:      |    |    + ISRC size:79 pos:726
avi debug:      |    + JUNK size:15550 pos:814
avi debug:      |    + LIST-movi size:1072942322 pos:16372
avi debug:      |    + idx1 size:11168 pos:1072958702
avi debug:      + RIFF-AVIX size:1556137408 pos:1072969878
avi debug:      |    + LIST-movi size:1556137396 pos:1072969890
avi warning: multiple riff -> OpenDML ?
avi warning: detected OpenDML file
avi debug: AVIH: 2 stream, flags  HAS_INDEX IS_INTERLEAVED
avi debug: stream[0] rate:25 scale:1 samplesize:0
avi debug: stream[0] video(LAGS) 1920x1080 32bpp 25.000000fps
main debug: selecting program id=0
avi debug: stream[1] rate:192000 scale:4 samplesize:4
avi debug: stream[1] audio(0x1 - ) 2 channels 48000Hz 16bits
avi debug: loading subindex(0x1) 1620 entries
qt4 debug: IM: Setting an input
avi debug: loading subindex(0x1) 65 entries
avi debug: selected ODML index for stream[0]
avi debug: selected ODML index for stream[1]
avi debug: stream[0] created 1620 index entries
avi debug: stream[1] created 65 index entries
avi debug: stream[0] length:64 (based on index)
avi debug: stream[1] length:64 (based on index)
main debug: using demux module "avi"
main debug: TIMER module_need() : 1.013 ms - Total 1.013 ms / 1 intvls (Avg 1.013 ms)
main debug: looking for a subtitle file in Z:
main debug: looking for decoder module: 31 candidates
avcodec debug: libavcodec already initialized
avcodec debug: trying to use direct rendering
avcodec debug: allowing 4 thread(s) for decoding
avcodec debug: ffmpeg codec (Lagarith Lossless) started
main debug: using decoder module "avcodec"
main debug: TIMER module_need() : 0.466 ms - Total 0.466 ms / 1 intvls (Avg 0.466 ms)
main debug: looking for decoder module: 31 candidates
araw debug: samplerate:48000Hz channels:2 bits/sample:16
main debug: using decoder module "araw"
main debug: TIMER module_need() : 0.069 ms - Total 0.069 ms / 1 intvls (Avg 0.069 ms)
main debug: looking for meta reader module: 2 candidates
lua debug: Trying Lua scripts in C:\Users\John\AppData\Roaming\vlc\lua\meta\reader
lua debug: Trying Lua scripts in C:\Program Files (x86)\VideoLAN\VLC\lua\meta\reader
lua debug: Trying Lua playlist script C:\Program Files (x86)\VideoLAN\VLC\lua\meta\reader\filename.luac
main debug: no meta reader module matching "any" could be loaded
main debug: TIMER module_need() : 0.633 ms - Total 0.633 ms / 1 intvls (Avg 0.633 ms)
main debug: `file:///Z:/SunStar.avi' successfully opened
main debug: Buffering 0%
main debug: Buffering 8%
main debug: looking for text renderer module: 2 candidates
freetype debug: Using Arial as font from file C:\Windows\Fonts\arial.ttf
freetype debug: using fontsize: 2
main debug: using text renderer module "freetype"
main debug: TIMER module_need() : 0.505 ms - Total 0.505 ms / 1 intvls (Avg 0.505 ms)
main debug: looking for video filter2 module: 18 candidates
swscale debug: 32x32 chroma: YUVA -> 16x16 chroma: RGBA with scaling using Bicubic (good quality)
main debug: using video filter2 module "swscale"
main debug: TIMER module_need() : 0.289 ms - Total 0.289 ms / 1 intvls (Avg 0.289 ms)
main debug: looking for video filter2 module: 18 candidates
yuvp debug: YUVP to YUVA converter
main debug: using video filter2 module "yuvp"
main debug: TIMER module_need() : 0.071 ms - Total 0.071 ms / 1 intvls (Avg 0.071 ms)
main debug: Deinterlacing available
main debug: deinterlace 0, mode blend, is_needed 0
main debug: Opening vout display wrapper
main debug: looking for vout display module: 6 candidates
main debug: Buffering 16%
main debug: Buffering 25%
main debug: Buffering 33%
main debug: Buffering 41%
main debug: Buffering 50%
main debug: Buffering 58%
main debug: Buffering 66%
main debug: Buffering 75%
main debug: Buffering 83%
main debug: Buffering 91%
main debug: Buffering 100%
main debug: Stream buffering done (325 ms in 18 ms)
direct3d debug: creating Vout EventThread
direct3d debug: DirectXCreateWindow
main debug: looking for vout window hwnd module: 2 candidates
qt4 debug: requesting video...
qt4 debug: Video was requested 0, 0
main debug: using vout window hwnd module "qt4"
main debug: TIMER module_need() : 65.953 ms - Total 65.953 ms / 1 intvls (Avg 65.953 ms)
direct3d debug: created video sub-window
direct3d debug: Vout EventThread running
direct3d debug: disabling screen saver
main debug: VoutDisplayEvent 'resize' 1936x1118 window
direct3d warning: trying surface pixel format: 8G8B8
direct3d warning: trying surface pixel format: X8R8G8B8
direct3d debug: selected surface pixel format is X8R8G8B8
direct3d debug: Using D3DTEXF_LINEAR for minification
direct3d debug: Using D3DTEXF_LINEAR for magnification
direct3d debug: Direct3D scene created successfully
direct3d debug: Direct3D device adapter successfully initialized
main debug: using vout display module "direct3d"
main debug: TIMER module_need() : 130.501 ms - Total 130.501 ms / 1 intvls (Avg 130.501 ms)
main debug: A filter to adapt decoder to display is needed
main debug: looking for video filter2 module: 18 candidates
swscale debug: 1920x1080 chroma: RV24 -> 1920x1080 chroma: RV32 with scaling using Bicubic (good quality)
main debug: using video filter2 module "swscale"
main debug: TIMER module_need() : 0.122 ms - Total 0.122 ms / 1 intvls (Avg 0.122 ms)
main debug: Filter 'Swscale' (04a6e830) appended to chain
main debug: original format sz 1920x1080, of (0,0), vsz 1920x1080, 4cc RV24, sar 1:1, msk r0xff g0xff00 b0xff0000
main debug: removing module "freetype"
main debug: looking for text renderer module: 2 candidates
freetype debug: Using Arial as font from file C:\Windows\Fonts\arial.ttf
main debug: VoutDisplayEvent 'resize' 1920x989 window
freetype debug: using fontsize: 2
main debug: using text renderer module "freetype"
main debug: TIMER module_need() : 1.034 ms - Total 1.034 ms / 1 intvls (Avg 1.034 ms)
avcodec debug: using direct rendering
main debug: recycling audio output
main debug: looking for audio output module: 2 candidates
aout_directx debug: Opening DirectSound Audio Output
aout_directx debug: found device: Primary Sound Driver
aout_directx debug: found device: Speakers (Realtek High Definition Audio)
aout_directx debug: using device: Speakers (Realtek High Definition Audio)
aout_directx debug: found device: Realtek Digital Output (Realtek High Definition Audio)
aout_directx debug: found device: Realtek Digital Output(Optical) (Realtek High Definition Audio)
aout_directx debug: device supports 2 channels (DEFAULT!)
aout_directx debug: device supports 1 channel
aout_directx debug: Windows says your SpeakerConfig is stereo
aout_directx debug: creating DirectSoundThread
main debug: using audio output module "aout_directx"
main debug: TIMER module_need() : 8.769 ms - Total 8.769 ms / 1 intvls (Avg 8.769 ms)
aout_directx debug: DirectSoundThread ready
main debug: output 's16l' 48000 Hz Stereo frame=1 samples/4 bytes
main debug: mixer 'f32l' 48000 Hz Stereo frame=1 samples/8 bytes
main debug: filter(s) 'f32l'->'s16l' 48000 Hz->48000 Hz Stereo->Stereo
main debug: looking for audio filter module: 14 candidates
audio_format debug: f32l->s16l, bits per sample: 32->16
main debug: using audio filter module "audio_format"
main debug: TIMER module_need() : 0.087 ms - Total 0.087 ms / 1 intvls (Avg 0.087 ms)
main debug: conversion pipeline completed
main debug: looking for audio mixer module: 2 candidates
main debug: using audio mixer module "float32_mixer"
main debug: TIMER module_need() : 0.052 ms - Total 0.052 ms / 1 intvls (Avg 0.052 ms)
main debug: input 's16l' 48000 Hz Stereo frame=1 samples/4 bytes
main debug: looking for audio filter module: 1 candidate
scaletempo debug: format: 48000 rate, 2 nch, 4 bps, fl32
scaletempo debug: params: 30 stride, 0.200 overlap, 14 search
scaletempo debug: 1.000 scale, 1440.000 stride_in, 1440 stride_out, 1152 standing, 288 overlap, 672 search, 2400 queue, fl32 mode
main debug: using audio filter module "scaletempo"
main debug: TIMER module_need() : 0.131 ms - Total 0.131 ms / 1 intvls (Avg 0.131 ms)
main debug: filter(s) 's16l'->'f32l' 48000 Hz->48000 Hz Stereo->Stereo
main debug: looking for audio filter module: 14 candidates
audio_format debug: s16l->f32l, bits per sample: 16->32
main debug: using audio filter module "audio_format"
main debug: TIMER module_need() : 0.070 ms - Total 0.070 ms / 1 intvls (Avg 0.070 ms)
main debug: conversion pipeline completed
main debug: filter(s) 'f32l'->'f32l' 48000 Hz->48000 Hz Stereo->Stereo
main debug: conversion pipeline completed
main debug: filter(s) 'f32l'->'f32l' 52800 Hz->48000 Hz Stereo->Stereo
main debug: looking for audio filter module: 14 candidates
main debug: using audio filter module "samplerate"
main debug: TIMER module_need() : 0.098 ms - Total 0.098 ms / 1 intvls (Avg 0.098 ms)
main debug: conversion pipeline completed
main debug: End of audio preroll
main debug: End of video preroll
main debug: Received first picture
direct3d debug: Created 344x59 texture for OSD
main debug: Post-processing available
main debug: Decoder buffering done in 919 ms
main warning: PTS is out of range (-9990), dropping buffer
main warning: PTS is out of range (-31305), dropping buffer
main warning: PTS is out of range (-34962), dropping buffer
main debug: picture might be displayed late (missing 17 ms)
main warning: audio output out of sync, adjusting dates (60801 us)
main warning: not synchronized (60802 us), resampling
main warning: buffer too late  (60385), up-sampling
main warning: picture is too late to be displayed (missing 101 ms)
main debug: auto hiding mouse cursor
main debug: VoutDisplayEvent 'resize' 1889x971 window
main debug: VoutDisplayEvent 'resize' 1885x969 window
main warning: picture is too late to be displayed (missing 187 ms)
main debug: VoutDisplayEvent 'resize' 1753x877 window
main debug: VoutDisplayEvent 'resize' 1740x869 window
main debug: VoutDisplayEvent 'resize' 1608x776 window
main debug: VoutDisplayEvent 'resize' 1599x768 window
main warning: picture is too late to be displayed (missing 275 ms)
main debug: VoutDisplayEvent 'resize' 1549x725 window
main debug: VoutDisplayEvent 'resize' 1529x704 window
main debug: VoutDisplayEvent 'resize' 1527x703 window
main warning: picture is too late to be displayed (missing 362 ms)
main debug: VoutDisplayEvent 'resize' 1486x664 window
main debug: VoutDisplayEvent 'resize' 1482x661 window
main debug: VoutDisplayEvent 'resize' 1430x632 window
main debug: VoutDisplayEvent 'resize' 1426x631 window
main warning: picture is too late to be displayed (missing 451 ms)
main debug: VoutDisplayEvent 'resize' 1411x625 window
main debug: VoutDisplayEvent 'resize' 1411x624 window
main debug: VoutDisplayEvent 'resize' 1391x616 window
main debug: VoutDisplayEvent 'resize' 1390x616 window
main debug: VoutDisplayEvent 'resize' 1385x614 window
main debug: auto hiding mouse cursor
main debug: incoming request - stopping current input
main debug: dying input
main debug: control: stopping input
main debug: dying input
main debug: removing module "avcodec"
avcodec debug: ffmpeg codec (Lagarith Lossless) stopped
main debug: killing decoder fourcc `LAGS', 51 PES in FIFO
main debug: saving a free vout
main debug: reusing provided vout
main debug: removing module "araw"
main debug: killing decoder fourcc `s16l', 0 PES in FIFO
main debug: removing module "audio_format"
main debug: removing module "scaletempo"
main debug: removing module "samplerate"
main debug: removing module "aout_directx"
aout_directx debug: closing audio device
aout_directx debug: DirectSoundThread exiting
main debug: removing module "audio_format"
main debug: removing module "float32_mixer"
main debug: releasing audio output
main debug: removing module "avi"
avi warning: unknown chunk (not unloaded)
main debug: removing module "stream_filter_record"
main debug: removing module "filesystem"
main debug: Program doesn't contain anymore ES
main debug: dead input
main debug: destroying useless vout
main debug: Filter 04a6e830 removed from chain
main debug: removing module "swscale"
main debug: removing module "direct3d"
direct3d debug: Direct3D scene released successfully
qt4 debug: IM: Deleting the input
main debug: TIMER input launching for 'SunStar.avi' : 3.546 ms - Total 3.546 ms / 1 intvls (Avg 3.546 ms)
direct3d debug: DirectXEventThread terminating
direct3d debug: DirectXCloseWindow
direct3d debug: WinProc WM_DESTROY
qt4 debug: releasing video...
qt4 debug: Video is not needed anymore
main debug: removing module "freetype"
main debug: removing module "yuvp"
main debug: removing module "swscale"

comment:2 Changed 4 years ago by burek

Another example (complete file) uploaded at incoming: "TribesAscend?.avi"
The FFmpeg freezes after the message "non-interleaved AVI" and that's it..
You can delete "DryDock?.avi" file, it was uploaded by mistake, because it doesn't show that error.

comment:3 Changed 4 years ago by cehoyos

Both TribesAscend?.avi and SunStar?-Start.avi work fine with current FFmpeg.
Could you test a newer version?

$ ffmpeg -i SunStar-Start.avi -i TribesAscend.avi
ffmpeg version N-39717-g6952301 Copyright (c) 2000-2012 the FFmpeg developers
  built on Apr 11 2012 21:14:07 with gcc 4.3.2
  configuration: --cc=/usr/local/gcc-4.3.2/bin/gcc --enable-gpl --enable-libopenjpeg --extra-ldflags=-lm --enable-x11grab
  libavutil      51. 46.100 / 51. 46.100
  libavcodec     54. 14.101 / 54. 14.101
  libavformat    54.  3.100 / 54.  3.100
  libavdevice    53.  4.100 / 53.  4.100
  libavfilter     2. 67.101 /  2. 67.101
  libswscale      2.  1.100 /  2.  1.100
  libswresample   0. 11.100 /  0. 11.100
  libpostproc    52.  0.100 / 52.  0.100
Input #0, avi, from 'SunStar-Start.avi':
  Metadata:
    encoder         : DxtoryCore ver2.0.0.109
    ISRC            : Video:Lagarith Lossless Codec Audio:Stereo Mix (Realtek High Definition Audio)
  Duration: 00:01:04.80, start: 0.000000, bitrate: 1294 kb/s
    Stream #0:0: Video: lagarith (LAGS / 0x5347414C), rgb24, 1920x1080, 25 fps, 25 tbr, 25 tbn, 25 tbc
    Stream #0:1: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, 2 channels, s16, 1536 kb/s
[avi @ 0x8eeed40] non-interleaved AVI
Input #1, avi, from 'TribesAscend.avi':
  Metadata:
    encoder         : DxtoryCore ver2.0.0.109
    ISRC            : Video:Lagarith Lossless Codec Audio:Stereo Mix (Realtek High Definition Audio)
  Duration: 00:00:02.36, start: 0.000000, bitrate: 206346 kb/s
    Stream #1:0: Video: lagarith (LAGS / 0x5347414C), rgb24, 1920x1080, 25 tbr, 25 tbn, 25 tbc
    Stream #1:1: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, 2 channels, s16, 1536 kb/s
At least one output file must be specified

comment:4 Changed 4 years ago by burek

Thanks a lot for the fast response, will try that and let you know.

comment:5 Changed 4 years ago by burek

This is the ffmpeg used for those testings: http://ffmpeg.zeranoe.com/builds/win64/static/ffmpeg-20120409-git-6bfb304-win64-static.7z

The date is: 2012-04-09 so I guess it's either something regarding windows specific builds or the bug is within these 3 days :)

comment:6 Changed 4 years ago by cehoyos

  • Resolution set to worksforme
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.